import { AUTH_ACTION_TYPES } from "../actions/types";
import { IChangeAttributes, IChangePassword, IConfirmSignUp, IForgotPassword, IForgotPasswordSubmit, IResendConfirmationCode, ISignIn, ISignOut, ISignUp, ISignUpSuccessful, ISignInSuccessful, ISignUpSubmitted, ISignUpFailed, IResendConfirmationCodeError, IResendConfirmationCodeSubmitted, ISignInFailed, INewPasswordRequired, IUserNotConfirmed, INewPasswordRequiredFailed, IForgotPasswordSent, IForgotPasswordFailed, IForgotPasswordSuccessful, IChangePasswordSuccessful, IChangePasswordFailed, IChangeAttributesSuccessful, IChangeAttributesFailed } from '../actions/interfaces';
declare type STATUS_TYPES = AUTH_ACTION_TYPES;
interface IAuthState {
    email: string;
    password: string;
    firstName: string;
    lastName: string;
    isAuthenticated: boolean;
    status: STATUS_TYPES;
    response: any;
}
declare type IAction = IChangeAttributes | IChangePassword | IConfirmSignUp | IForgotPassword | IForgotPasswordSubmit | IResendConfirmationCode | ISignIn | ISignOut | ISignUp | ISignUpSuccessful | ISignInSuccessful | ISignUpSubmitted | ISignUpFailed | IResendConfirmationCodeError | IResendConfirmationCodeSubmitted | ISignInFailed | INewPasswordRequired | IUserNotConfirmed | INewPasswordRequiredFailed | IForgotPasswordSent | IForgotPasswordFailed | IForgotPasswordSuccessful | IChangePasswordSuccessful | IChangePasswordFailed | IChangeAttributesSuccessful | IChangeAttributesFailed;
declare const _default: (state: IAuthState | undefined, action: IAction) => IAuthState | {
    status: AUTH_ACTION_TYPES.SIGN_UP_FAILED | AUTH_ACTION_TYPES.RESEND_CONFIRMATION_CODE_ERROR | AUTH_ACTION_TYPES.SIGN_IN_FAILED | AUTH_ACTION_TYPES.NEW_PASSWORD_REQUIRED_FAILED | AUTH_ACTION_TYPES.FORGOT_PASSWORD_FAILED | AUTH_ACTION_TYPES.CHANGE_ATTRIBUTES_FAILED | AUTH_ACTION_TYPES.CHANGE_PASSWORD_FAILED | AUTH_ACTION_TYPES.USER_NOT_CONFIRMED;
    error: any;
    email: string;
    password: string;
    firstName: string;
    lastName: string;
    isAuthenticated: boolean;
    response: any;
};
export default _default;
